# include "photdbc.h"

int gcatalog (Catalog *catalog) {
  
  char mode, status;

  mode = LOAD_AVES | LOAD_MEAS | LOAD_MISS | LOAD_SECF;

  if (!load_catalog (catalog, mode, VERBOSE)) {
    fprintf (stderr, "ERROR: failure loading catalog %s\n", catalog[0].filename);
    exit (1);
  }

  if (VERBOSE) {
    fprintf (stderr, "read %d stars from catalog file %s (%d measurements)\n", 
	     catalog[0].Naverage, catalog[0].filename, catalog[0].Nmeasure);
  }
  return (TRUE);
}



